Show a public key
GET
/v1/public_keys/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/public_keys/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://api.disclosebot.localdev:3000/v1/public_keys/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Successful
Media type application/json
object
data
required
object
id
required
string format: uuid
type
required
string
attributes
required
object
name
required
string
short_description
string
public_key
required
The key material. An X25519 key (base64 of the 32 raw bytes) can be used for encryption and cloaking; a PGP key is stored for reference.
string
retired
required
A retired key is not offered for new encryption or cloaking; what was encrypted to it keeps its link
boolean
retired_at
string format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
relationships
object
Example
{ "data": { "type": "public_key" }}Another organisation